@echo off
echo aria2c多线程下载工具
echo 支持HTTP/HTTPS, FTP, BitTorrent,Metalink协议
:start
set /p add=把符合协议的文件下载地址复制到这里并回车:
echo.
set /p way=请选择 1.1000个线程下载  2.https协议下载   (如果下载失败请尝新方式)
if %way%==1 goto way1
if %way%==2 goto way2
:way1
echo 开始下载
echo.
set waynew=way2
aria2c -s 1000 %add%
goto end
:way2
echo 开始下载
echo.
set waynew=way1
aria2c --check-certificate=false %add%
goto end
:end
echo.
echo 完成.
set /p ok= 1.继续下载  2.换另一种方式尝试下载  3.退出
if %ok%==1 goto start
if %ok%==2 goto %waynew%
if %ok5==3 exit
